Bug 241770 - Digikam crashes
Summary: Digikam crashes
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Engine (show other bugs)
Version: 1.2.0
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-14 22:08 UTC by Milko Krachounov
Modified: 2017-08-10 19:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milko Krachounov 2010-06-14 22:08:36 UTC
Version:           1.2.0 (using KDE 4.4.3) 
OS:                Linux

Digikam bug reporter refuses to automatically send this bug report, because it claims that the backtrace is unusable. Please fix the reporter, since it's too complicated to find how to login on this site and find the version numbers I'm using, etc. Here's the backtrace.

Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0x7faa689e87c0 (LWP 23885))]

Thread 20 (Thread 0x7faa5296d710 (LWP 23889)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x23bcc30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x23bcc30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006e205b in ?? ()
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x23bd9c0) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7faa4f00a710 (LWP 23970)):
#0  0x00007faa5f5ddf0f in __pthread_mutex_lock (mutex=0x277c788) at pthread_mutex_lock.c:62
#1  0x00007faa5d926cd3 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007faa5d927108 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x277c690, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa4f009dc0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007faa62007e35 in QThreadPrivate::start (arg=0x278f330) at thread/qthread_unix.cpp:248
#9  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7faa4e788710 (LWP 23971)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x275d6e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa4e787dc0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa62007e35 in QThreadPrivate::start (arg=0x273f070) at thread/qthread_unix.cpp:248
#8  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7faa4df06710 (LWP 23972)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2952958, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2952958, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007faa659c88b2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x2952940) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7faa4d705710 (LWP 23973)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x2713cd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa4d704dc0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa62007e35 in QThreadPrivate::start (arg=0x270f680) at thread/qthread_unix.cpp:248
#8  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7faa4cf04710 (LWP 23974)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x2770c10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa4cf03dc0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa62007e35 in QThreadPrivate::start (arg=0x2713910) at thread/qthread_unix.cpp:248
#8  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7faa45e33710 (LWP 23978)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007faa46649f41 in ?? () from /usr/lib/libxine.so.1
#2  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7faa46634710 (LWP 23979)):
#0  0x00007faa612be8b3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007faa46672a15 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007faa466578e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7faa1a404710 (LWP 23980)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x2fab7d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa1a403d60, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa468a5400 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007faa62007e35 in QThreadPrivate::start (arg=0x2fab1b0) at thread/qthread_unix.cpp:248
#9  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7faa199fa710 (LWP 23986)):
#0  0x00007faa612b8ead in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007faa46de10e5 in ?? () from /usr/lib/libasound.so.2
#2  0x00007faa46ddbf08 in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#3  0x00007faa46de5b39 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#4  0x00007faa199ff846 in ?? () from /usr/lib/xine/plugins/1.28/xineplug_ao_out_alsa.so
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7faa191f9710 (LWP 23987)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa4665aa3b in ?? () from /usr/lib/libxine.so.1
#2  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7faa16b53710 (LWP 23988)):
#0  0x00007faa5f5ddf05 in __pthread_mutex_lock (mutex=0x33680c8) at pthread_mutex_lock.c:61
#1  0x00007faa5d926927 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9272b3 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x33549a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa16b52d50, flags=) at kernel/qeventloop.cpp:201
#7  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007faa17fe282d in ?? () from /usr/lib/kde4/plugins/marble/GpsdPositionProviderPlugin.so
#9  0x00007faa62007e35 in QThreadPrivate::start (arg=0x3367af0) at thread/qthread_unix.cpp:248
#10 0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7faa16352710 (LWP 23989)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x338ff18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x338ff18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007faa659c88b2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x338ff00) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7faa15b51710 (LWP 23996)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x33fbe38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x33fbe38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007faa659c88b2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x33fbe20) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7faa1334c710 (LWP 23997)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=807) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x343dde0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa1334bd50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa17fe282d in ?? () from /usr/lib/kde4/plugins/marble/GpsdPositionProviderPlugin.so
#8  0x00007faa62007e35 in QThreadPrivate::start (arg=0x343ddc0) at thread/qthread_unix.cpp:248
#9  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7faa13b4d710 (LWP 23998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x34bfdd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x34bfdd8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007faa659c88b2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x34bfdc0) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7faa15350710 (LWP 24334)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=957) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa5d927299 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007faa62120766 in QEventDispatcherGlib::processEvents (this=0x5d45300, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007faa620f5e5c in QEventLoop::exec (this=0x7faa1534fd50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007faa6200579b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007faa17fe282d in ?? () from /usr/lib/kde4/plugins/marble/GpsdPositionProviderPlugin.so
#8  0x00007faa62007e35 in QThreadPrivate::start (arg=0x5d45090) at thread/qthread_unix.cpp:248
#9  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7faa1434e710 (LWP 24335)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007faa62008e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5dd5eb8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5dd5eb8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007faa659c88b2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007faa62007e35 in QThreadPrivate::start (arg=0x5dd5ea0) at thread/qthread_unix.cpp:248
#5  0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7faa11b49710 (LWP 24342)):
[KCrash Handler]
#5  0x00007faa61228175 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007faa6122af80 in *__GI_abort () at abort.c:92
#7  0x00007faa61abbdd5 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#8  0x00007faa61aba176 in ?? () from /usr/lib/libstdc++.so.6
#9  0x00007faa61aba1a3 in std::terminate() () from /usr/lib/libstdc++.so.6
#10 0x00007faa61aba29e in __cxa_throw () from /usr/lib/libstdc++.so.6
#11 0x00007faa61a54b12 in std::__throw_bad_alloc() () from /usr/lib/libstdc++.so.6
#12 0x00007faa66ea6efd in std::vector<Exiv2::Exifdatum, std::allocator<Exiv2::Exifdatum> >::operator=(std::vector<Exiv2::Exifdatum, std::allocator<Exiv2::Exifdatum> > const&) ()
   from /usr/lib/libkexiv2.so.8
#13 0x00007faa66ea531c in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.8
#14 0x00007faa6599c2e9 in Digikam::DMetadata::load(QString const&) const () from /usr/lib/libdigikamcore.so.1
#15 0x00000000005324f5 in ?? ()
#16 0x00000000004ecb9a in ?? ()
#17 0x00000000004ef2f6 in ?? ()
#18 0x00007faa62007e35 in QThreadPrivate::start (arg=0x5d3e520) at thread/qthread_unix.cpp:248
#19 0x00007faa5f5db8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#20 0x00007faa612c501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7faa689e87c0 (LWP 23885)):
#0  0x00007faa612ba103 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007faa587558ca in ?? () from /usr/lib/libxcb.so.1
#2  0x00007faa58757c0c in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#3  0x00007faa60237804 in _XReply () from /usr/lib/libX11.so.6
#4  0x00007faa60213a67 in XGetImage () from /usr/lib/libX11.so.6
#5  0x00007faa6311d8a0 in QX11PixmapData::toImage (this=0x5d65570) at image/qpixmap_x11.cpp:1492
#6  0x00007faa631059d0 in QPixmap::toImage (this=0x7fffb9645230) at image/qpixmap.cpp:486
#7  0x00007faa54543428 in ?? () from /usr/lib/kde4/plugins/styles/qtcurve.so
#8  0x00007faa5456c525 in ?? () from /usr/lib/kde4/plugins/styles/qtcurve.so
#9  0x00007faa5457c7ba in ?? () from /usr/lib/kde4/plugins/styles/qtcurve.so
#10 0x00007faa634a8888 in QStylePainter::drawComplexControl (this=0x4648e60) at ../../include/QtGui/../../src/gui/painting/qstylepainter.h:94
#11 QToolButton::paintEvent (this=0x4648e60) at widgets/qtoolbutton.cpp:556
#12 0x00007faa630791e2 in QWidget::event (this=0x4648e60, event=0x7fffb9647100) at kernel/qwidget.cpp:8190
#13 0x00007faa6302332c in QApplicationPrivate::notify_helper (this=0x236b980, receiver=0x4648e60, e=0x7fffb9647100) at kernel/qapplication.cpp:4302
#14 0x00007faa6302980b in QApplication::notify (this=0x7fffb9649660, receiver=0x4648e60, e=0x7fffb9647100) at kernel/qapplication.cpp:4185
#15 0x00007faa63f96436 in KApplication::notify (this=0x7fffb9649660, receiver=0x4648e60, event=0x7fffb9647100) at ../../kdeui/kernel/kapplication.cpp:302
#16 0x00007faa620f715c in QCoreApplication::notifyInternal (this=0x7fffb9649660, receiver=0x4648e60, event=0x7fffb9647100) at kernel/qcoreapplication.cpp:726
#17 0x00007faa630817dd in QCoreApplication::sendSpontaneousEvent (this=0x5ea8bd0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x5e42b80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#18 QWidgetPrivate::drawWidget (this=0x5ea8bd0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x5e42b80)
    at kernel/qwidget.cpp:5363
#19 0x00007faa63082478 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=8, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5476
#20 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=9, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#21 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=11, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#22 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=12, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#23 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=14, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#24 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=15, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#25 0x00007faa630822a9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=16, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5463
#26 0x00007faa6308153a in QWidgetPrivate::drawWidget (this=0x5eb85c0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x5e42b80) at kernel/qwidget.cpp:5412
#27 0x00007faa63082478 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=63, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x5e42b80) at kernel/qwidget.cpp:5476
#28 0x00007faa6308153a in QWidgetPrivate::drawWidget (this=0x4626ac0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x5e42b80) at kernel/qwidget.cpp:5412
#29 0x00007faa6323ba45 in QWidgetBackingStore::sync (this=0x5e42b80) at painting/qbackingstore.cpp:1300
#30 0x00007faa63073140 in QWidgetPrivate::syncBackingStore (this=0x4626ac0) at kernel/qwidget.cpp:1688
#31 0x00007faa630798e5 in QWidget::event (this=0x26d8470, event=0x5ec6640) at kernel/qwidget.cpp:8337
#32 0x00007faa6343c30b in QMainWindow::event (this=0x26d8470, event=0x5ec6640) at widgets/qmainwindow.cpp:1414
#33 0x00007faa640acde3 in KXmlGuiWindow::event (this=0x7fffb96443a0, ev=0x1) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
#34 0x00007faa6302332c in QApplicationPrivate::notify_helper (this=0x236b980, receiver=0x26d8470, e=0x5ec6640) at kernel/qapplication.cpp:4302
#35 0x00007faa6302980b in QApplication::notify (this=0x7fffb9649660, receiver=0x26d8470, e=0x5ec6640) at kernel/qapplication.cpp:4185
#36 0x00007faa63f96436 in KApplication::notify (this=0x7fffb9649660, receiver=0x26d8470, event=0x5ec6640) at ../../kdeui/kernel/kapplication.cpp:302
#37 0x00007faa620f715c in QCoreApplication::notifyInternal (this=0x7fffb9649660, receiver=0x26d8470, event=0x5ec6640) at kernel/qcoreapplication.cpp:726
#38 0x00007faa620fa804 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x2331bc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x2331bc0) at kernel/qcoreapplication.cpp:1367
#40 0x00007faa62120bd3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#42 0x00007faa5d9236c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x00007faa5d927538 in ?? () from /lib/libglib-2.0.so.0
#44 0x00007faa5d9276ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#45 0x00007faa62120713 in QEventDispatcherGlib::processEvents (this=0x23312b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#46 0x00007faa630d314e in QGuiEventDispatcherGlib::processEvents (this=0x7fffb96443a0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007faa620f5a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#48 0x00007faa620f5e5c in QEventLoop::exec (this=0x7fffb9649590, flags=) at kernel/qeventloop.cpp:201
#49 0x00007faa620faaeb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#50 0x000000000077ff9b in ?? ()
#51 0x00007faa61214c4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fffb964a508) at libc-start.c:228
#52 0x00000000004773a9 in _start ()


Reproducible: Always

Steps to Reproduce:
1. Try to download photos with camera (only if the camera is connected), crashes.

Two related crashes I didn't bother to save the backtrace for:
1. Open a gallery, crashes.
1. Close the download dialog box (if the camera wasn't connected), and it crashes.
Comment 1 caulier.gilles 2010-06-15 00:11:29 UTC
Crash come from Exiv2 library. Which version you use ? Go to Help/Components Info for details

Gilles Caulier
Comment 2 caulier.gilles 2010-10-06 10:09:17 UTC
We need more info about Exiv2 library. look my comment #1

Gilles Caulier
Comment 3 Milko Krachounov 2010-10-06 11:13:40 UTC
Since I no longer use that version of Exiv2, I can't find the appropriate info, and I also no longer experience the crash (although I'm experiencing others). I believe it was a bug in sid related to Exiv2, and it got fixed a day or two afterwards. This bug should be resolved as invalid, IMHO.